Uses of Annotation Interface
org.apache.juneau.http.Response
Packages that use Response
Package
Description
HTTP Part Annotations
HTTP Response Exception Beans
Example / demo Microservice REST Resources
REST Interface Helper Classes
-
Uses of Response in org.apache.juneau.http
Fields in org.apache.juneau.http declared as ResponseMethods in org.apache.juneau.http that return ResponseModifier and TypeMethodDescriptionResponseAnnotation.Builder.build()Instantiates a new@Responseobject initialized with this builder.Methods in org.apache.juneau.http with parameters of type Response -
Uses of Response in org.apache.juneau.http.classic.response
Classes in org.apache.juneau.http.classic.response with annotations of type ResponseModifier and TypeClassDescriptionclassRepresents anHTTP 202 Accepted response.classRepresents anHTTP 208 Already Reported response.classException representing an HTTP 400 (Bad Request).classException representing an HTTP 409 (Conflict).classRepresents anHTTP 100 Continue response.classRepresents anHTTP 201 Created response.classRepresents anHTTP 103 Early Hints response.classException representing an HTTP 417 (Expectation Failed).classException representing an HTTP 424 (Failed Dependency).classException representing an HTTP 403 (Forbidden).classRepresents anHTTP 302 Found response.classException representing an HTTP 410 ().classException representing an HTTP 505 ().classRepresents anHTTP 226 IM Used response.classException representing an HTTP 507 ().classException representing an HTTP 500 (Internal Server Error).classException representing an HTTP 411 ().classException representing an HTTP 423 (Locked).classException representing an HTTP 508 (Loop Detected).classException representing an HTTP 405 (Method Not Allowed).classException representing an HTTP 421 (Misdirected Request).classRepresents anHTTP 301 Moved Permanently response.classRepresents anHTTP 300 Multiple Choices response.classRepresents anHTTP 207 Multi-Status response.classException representing an HTTP 511 (Network Authentication Required).classRepresents anHTTP 204 No Content response.classRepresents anHTTP 203 Non-Authoritative Information response.classException representing an HTTP 406 (Not Acceptable).classException representing an HTTP 510 (Not Extended).classException representing an HTTP 404 (Not Found).classException representing an HTTP 501 (Not Implemented).classRepresents anHTTP 304 Not Modified response.classRepresents anHTTP 200 OK response.classRepresents anHTTP 206 Partial Content response.classException representing an HTTP 413 (Payload Too Large).classRepresents anHTTP 308 Permanent Redirect response.classException representing an HTTP 412 (Precondition Failed).classException representing an HTTP 428 (Precondition Required).classRepresents anHTTP 102 Processing response.classException representing an HTTP 416 (Range Not Satisfiable).classException representing an HTTP 431 (Request Header Fields Too Large).classRepresents anHTTP 205 Reset Content response.classRepresents anHTTP 303 See Other response.classException representing an HTTP 503 (Service Unavailable).classRepresents anHTTP 101 Switching Protocols response.classRepresents anHTTP 307 Temporary Redirect response.classException representing an HTTP 429 (Too Many Requests).classException representing an HTTP 401 (Unauthorized).classException representing an HTTP 451 (Unavailable For Legal Reasons).classException representing an HTTP 422 (Unprocessable Entity).classException representing an HTTP 415 (Unsupported Media Type).classException representing an HTTP 426 (Upgrade Required).classException representing an HTTP 414 (URI Too Long).classRepresents anHTTP 305 Use Proxy response.classException representing an HTTP 506 (Variant Also Negotiate). -
Uses of Response in org.apache.juneau.microservice.examples
Classes in org.apache.juneau.microservice.examples with annotations of type ResponseModifier and TypeClassDescriptionstatic classFile action link.classFile or directory details for REST response.static classFile action link.static classFile or directory details for REST response. -
Uses of Response in org.apache.juneau.rest.server.beans
Classes in org.apache.juneau.rest.server.beans with annotations of type ResponseModifier and TypeClassDescriptionclassShortcut label for child resources.classDescribes a single route (an@RestOp-annotated method) in a route-index listing.classConvenience subclass ofSeeOtherfor redirecting a response to the servlet root.